{
  "type" : "record",
  "name" : "VariantTraitAssociation",
  "namespace" : "org.opencb.biodata.models.variant.avro",
  "fields" : [ {
    "name" : "clinvar",
    "type" : [ "null", {
      "type" : "array",
      "items" : {
        "type" : "record",
        "name" : "ClinVar",
        "fields" : [ {
          "name" : "accession",
          "type" : [ "null", "string" ]
        }, {
          "name" : "clinicalSignificance",
          "type" : [ "null", "string" ]
        }, {
          "name" : "traits",
          "type" : [ "null", {
            "type" : "array",
            "items" : "string"
          } ]
        }, {
          "name" : "geneNames",
          "type" : [ "null", {
            "type" : "array",
            "items" : "string"
          } ]
        }, {
          "name" : "reviewStatus",
          "type" : [ "null", "string" ]
        } ]
      }
    } ]
  }, {
    "name" : "gwas",
    "type" : [ "null", {
      "type" : "array",
      "items" : {
        "type" : "record",
        "name" : "Gwas",
        "fields" : [ {
          "name" : "snpIdCurrent",
          "type" : [ "null", "string" ]
        }, {
          "name" : "traits",
          "type" : [ "null", {
            "type" : "array",
            "items" : "string"
          } ]
        }, {
          "name" : "riskAlleleFrequency",
          "type" : [ "null", "double" ]
        }, {
          "name" : "reportedGenes",
          "type" : [ "null", "string" ]
        } ]
      }
    } ]
  }, {
    "name" : "cosmic",
    "type" : [ "null", {
      "type" : "array",
      "items" : {
        "type" : "record",
        "name" : "Cosmic",
        "fields" : [ {
          "name" : "mutationId",
          "type" : [ "null", "string" ]
        }, {
          "name" : "primarySite",
          "type" : [ "null", "string" ]
        }, {
          "name" : "siteSubtype",
          "type" : [ "null", "string" ]
        }, {
          "name" : "primaryHistology",
          "type" : [ "null", "string" ]
        }, {
          "name" : "histologySubtype",
          "type" : [ "null", "string" ]
        }, {
          "name" : "sampleSource",
          "type" : [ "null", "string" ]
        }, {
          "name" : "tumourOrigin",
          "type" : [ "null", "string" ]
        }, {
          "name" : "geneName",
          "type" : [ "null", "string" ]
        }, {
          "name" : "mutationSomaticStatus",
          "type" : [ "null", "string" ]
        } ]
      }
    } ]
  } ]
}
